%global srcname pmw

Name: python-pmw
Version: 2.1.1
Release:    2%{?dist}
Summary: Python powerwidgets
License: MIT and GPLv2+
URL: http://pmw.sourceforge.net/
Source0: http://downloads.sourceforge.net/pmw/Pmw-%{version}.tar.gz
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: dos2unix
BuildArch: noarch

Patch0: %{name}-fix_identation_error.patch

%description
Pmw is a toolkit for building high-level compound widgets in Python
using the Tkinter module. It consists of a set of base classes and a
library of flexible and extensible megawidgets built on this
foundation. These megawidgets include notebooks, comboboxes, selection
widgets, paned widgets, scrolled widgets and dialog windows

%package -n python3-%{srcname}
Summary: Python powerwidgets
Requires: python3-tkinter
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Pmw is a toolkit for building high-level compound widgets in Python
using the Tkinter module. It consists of a set of base classes and a
library of flexible and extensible megawidgets built on this
foundation. These megawidgets include notebooks, comboboxes, selection
widgets, paned widgets, scrolled widgets and dialog windows.

%prep
%autosetup -n Pmw-%{version} -p1

%build
%py3_build

%install
%py3_install

chmod 644 Pmw/Pmw_1_3_3/doc/*
chmod 644 Pmw/Pmw_2_1_1/doc/*

rm -rf %{buildroot}%{python3_sitelib}/Pmw/Pmw_1_3_3

%files -n python3-%{srcname}
%doc Pmw/Pmw_2_1_1/doc
%{python3_sitelib}/*egg-info
%{python3_sitelib}/Pmw/

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.1.1-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-1
- initial build
